Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Get Dispatch Settings GETCreate Dispatch Settings POSTUpdate Dispatch Settings PUTGet project by ID GETGet projects GETCreate project POSTGet Provider Talent Pool Group Assignments in Project GETUpdate Provider Talent Pool Group Assignments in Project PUTAdd multiple providers to project talent pool groups POST
OrganizationProjects

Get Dispatch Settings


Get Dispatch Settings

GET
/api/rest/v2/project/{project_id}/dispatch-settings

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

project_id*integer

Project ID

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/project/0/dispatch-settings"
{
  "id": 1,
  "project_dispatch_setting_id": "550e8400-e29b-41d4-a716-446655440000",
  "project_id": 123,
  "buyer_id": 45,
  "dispatch_runtime_minutes": 60,
  "rerun_until_threshold": false,
  "rerun_threshold_minutes": 720,
  "dispatch_to_first_available": false,
  "revert_to_draft_on_no_available": true,
  "effective_from": "string_value",
  "effective_to": "string_value",
  "created_by": 987,
  "is_dispatch_settings_enabled": true
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "message": "Operation successful.",
  "errorReference": "string_value",
  "extra": [],
  "note": "string_value"
}
{
  "message": "Operation successful.",
  "errorReference": "string_value",
  "extra": [],
  "note": "string_value"
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Create Client POST

Previous Page

Create Dispatch Settings POST

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/project/0/dispatch-settings"